> This page is for API, version Deprecated.
> For other versions, use one of these documentation indexes:
> - 2026-01-01 (Stable) (default): https://developer.deel.com/api/stable/llms.txt
> - Beta: https://developer.deel.com/api/beta/llms.txt
> - Deprecated: https://developer.deel.com/api/deprecated/llms.txt

> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://developer.deel.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://developer.deel.com/_mcp/server.

## Added

* **Intents** → [Create a Child Account onboarding intent](/api/reference/endpoints/intents/open-child-account-onboarding-intent-v-2026-11-16): Endpoint is now available, which allows to open a child account onboarding intent and set up the payment method for a Child Account.

* **Intents** → [Execute a Child Account onboarding intent action](/api/reference/endpoints/intents/do-child-account-onboarding-intent-action-v-2026-11-16): Endpoint is now available, which allows to execute an action on a Child Account onboarding intent.

* **Intents** → [List intents](/api/reference/endpoints/intents/list-intents-v-2026-11-16): Endpoint is now available, which allows to list and monitor the onboarding intents of your Child Accounts.

* **Intents** → [Retrieve a Child Account onboarding intent](/api/reference/endpoints/intents/get-child-account-onboarding-intent-v-2026-11-16): Endpoint is now available, which allows to retrieve a Child Account onboarding intent.

* **Intents** → [Retrieve the Child Account onboarding intent type](/api/reference/endpoints/intents/retrieve-child-account-onboarding-intent-type-v-2026-11-16): Endpoint is now available, which allows to retrieve the Child Account onboarding intent type definition, including steps and onboarding requirements.

* **Intents** → [Cancel a Child Account onboarding intent](/api/reference/endpoints/intents/cancel-child-account-onboarding-intent-v-2026-11-17): Endpoint is now available, which allows to cancel a Child Account onboarding intent.

* **Eor** → [Create an EOR hire intent](/api/reference/endpoints/eor/create-eor-hire-intent-v-2026-11-19): Endpoint is now available, which allows to start an EOR hire and get its intent in one call.

* **Eor** → [Create the client signature for an EOR hire quote](/api/reference/endpoints/eor/sign-eor-hire-intent-quote-v-2026-11-02): Endpoint is now available, which allows to sign an EOR hire quote as the client.

* **Eor** → [Create the worker signature for an EOR hire employment agreement](/api/reference/endpoints/eor/sign-eor-hire-intent-employment-agreement-v-2026-11-06): Endpoint is now available, which allows to sign the employment agreement of an EOR hire as the worker.

* **Eor** → [Retrieve an EOR hire intent](/api/reference/endpoints/eor/retrieve-eor-hire-intent-v-2026-11-02): Endpoint is now available, which allows to retrieve an EOR hire intent to check its current status, the parties it waits on, next required actions, and all onboarding steps.

* **Eor** → [Create a new worker invite for an EOR hire](/api/reference/endpoints/eor/invite-eor-hire-intent-worker-v-2026-11-06): Endpoint is now available, which allows to send a worker invite for an EOR hire.

* **Eor** → [Create the additional details of an EOR hire worker](/api/reference/endpoints/eor/submit-eor-hire-intent-additional-details-v-2026-11-18): Endpoint is now available, which allows to submit the additional details of an EOR hire as the worker.

* **Eor** → [Create the bank details of the worker of an EOR hire](/api/reference/endpoints/eor/add-eor-hire-intent-bank-details-v-2026-11-19): Endpoint is now available, which allows to create the bank details of the worker of an EOR hire.

* **Ats** → [List activities configured on the stages of a job](/api/reference/endpoints/ats/list-job-activities-v-2026-11-19): Endpoint is now available, which allows to list activities (interviews, emails, evaluations, exercises, questionnaires, documents) configured on the stages of a job interview plan.

## Changed

* **Legal Entities** → [Submit EDD request answers for a legal entity](/api/reference/endpoints/legal-entities/answer-legal-entity-kyb-edd-v-2026-10-16): Increased the maximum length of `questionnaire.answers.value` to 1500.

* **Legal Entities** → [Retrieve the KYB state of a legal entity](/api/reference/endpoints/legal-entities/get-legal-entity-kyb-state-v-2026-10-01): Increased the maximum length of `value` to 1500.

* **Onboarding** → [List onboarding employees](/api/reference/endpoints/onboarding/list-onboarding-employees-v-2026-01-01): Added `transition` in the response that describes the worker type change associated with an EOR draft quote, if any.

* **Onboarding** → [Get onboarding details by onboarding tracker ID](/api/reference/endpoints/onboarding/get-onboarding-details-by-onboarding-tracker-id-v-2026-01-01): Added `transition` in the response that identifies the worker type change holding an EOR draft contract, when applicable.

* **Users** → [Retrieve a single User](/api/reference/endpoints/users/get-user-by-id): Added `employeeNumber` to the `employments` response field that provides the employee number set for each employment.

* **Users** → [List users](/api/reference/endpoints/users/get-users): Added `workerExternalId` in the response that provides the worker's external ID set on the HRIS profile.

* **People** → [List of People](/api/reference/endpoints/people/get-people): Added `employee_number` in the response that provides the employee number set for the employment.

* **Timesheets** → [List of timesheets by contract](/api/reference/endpoints/timesheets/get-contract-timesheets): Added `download_url` in the response that provides a time-limited URL to download the attachment.

* **Organization Structure** → [Delete an Org Structure from the Organization by external ID](/api/reference/endpoints/organization-structure/delete-organization-structure-by-external-id): Added `force` query parameter that allows deleting the structure even when profiles are still assigned to it.

* **Organization Structure** → [Delete an Org Structure from the Organization](/api/reference/endpoints/organization-structure/delete-organization-structure): Added `force` as a new optional query parameter that allows deleting the structure even when profiles are still assigned to it.

* **Adjustments** → [Update an expense or other adjustment](/api/reference/endpoints/adjustments/update-contract-adjustment): Added support for `application/json` request bodies.

* **Adjustments** → [Create an expense or other adjustment](/api/reference/endpoints/adjustments/create-contract-adjustment): Added optional `file` field to the `application/json` request body that attaches a receipt or supporting document previously uploaded via `POST /rest/files`.

* **Ats Job Postings** → [Retrieve ATS job postings](/api/reference/endpoints/ats-job-postings/retrieve-ats-job-postings-v-2026-04-10): Added `period_slug` to `compensation`, `location_compensations` array to `job`, and `job_location_id` to `publications` items in the response.